

#ifndef __WIN32__
# if defined(__CYGWIN__) || \
    defined(__MINGW32__) || \
    defined(__MINGW__)   || \
    defined(_WIN32)
# define __WIN32__
#endif
#endif


#if defined(__WIN32__) && defined(_MSC_VER)
/* On win32 with MSVC, rely on the compiler/linker
 * to do the right thing if a variable is declared
 * dllimport even if there is no need to import it
 * from a dll (i.e. when linking statically).
 */
# define EXPORTVAR	extern
# define IMPORTVAR	extern __declspec(dllimport)
# define EXPORTFUNC	/* empty */
# define IMPORTFUNC	extern
#else
# define EXPORTVAR	extern
# define IMPORTVAR	extern
# define EXPORTFUNC	/* empty */
# define IMPORTFUNC	extern
#endif
